Description

USE CASE:

Foreman telemetry stack tracks the performance of a system based on its current runtime. If there were a puppet metric, it would be

dramatically simpler to correlate performance changes with system configuration changes.

Technical requirements:

Can a PCP plugin be written for puppet client that tracks the simple results of puppet runs on the system:

- Applied

- Restarted

- Failed

- Restart Failures

- Skipped

- Pending

I'd expect these metrics to only tick up at the conclusion of the puppet run (and mostly just pull them in from the post run status

report) and to be zero for all other times.

ANALYSIS:

We can add a new metric that will track number of resources with label of "state". Each report will increase those counters, so

monitoring will be able to show rate of resources applied/skipped etc.

Associated revisions

Revision 7b040dea - 08/22/2019 10:51 AM - Lukas Zapletal

Fixes #26173 - added config_report_metric_count metric

History

#1 - 02/28/2019 08:26 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/6521 added

#2 - 08/22/2019 10:53 AM - Tomer Brisker

- Fixed in Releases 1.24.0 added

#3 - 08/22/2019 11:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset 7b040dea56df37886477dc4c2fd43cb49a55fa57.
